Package org.snpeff.fileIterator

# Class FastqFileIterator

java.lang.Object
org.snpeff.fileIterator.FastqFileIterator

All Implemented Interfaces:
  `Iterable<org.biojava.nbio.genome.io.fastq.Fastq>`, `Iterator<org.biojava.nbio.genome.io.fastq.Fastq>`

public class FastqFileIterator extends Object implements Iterable<org.biojava.nbio.genome.io.fastq.Fastq>, Iterator<org.biojava.nbio.genome.io.fastq.Fastq>
Opens a fastq file and iterates over all fastq sequences in the file Unlike BioJava's version, this one does NOT load all sequences in memory. Thus it allows to process much larger files

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`

## Constructor Summary

Constructors
Constructor
Description
`FastqFileIterator(InputStream inStream, org.biojava.nbio.genome.io.fastq.FastqVariant variant)`
`FastqFileIterator(String fastqFileName)`
`FastqFileIterator(String fastqFileName, org.biojava.nbio.genome.io.fastq.FastqVariant variant)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close file
`int`
`getLineNum()`
`boolean`
`hasNext()`
`Iterator<org.biojava.nbio.genome.io.fastq.Fastq>`
`iterator()`
`org.biojava.nbio.genome.io.fastq.Fastq`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### debug

public static boolean debug

## Constructor Details

### FastqFileIterator

public FastqFileIterator(InputStream inStream, org.biojava.nbio.genome.io.fastq.FastqVariant variant)

### FastqFileIterator

public FastqFileIterator(String fastqFileName)

### FastqFileIterator

public FastqFileIterator(String fastqFileName, org.biojava.nbio.genome.io.fastq.FastqVariant variant)

## Method Details

### close

public void close()
Close file

### getLineNum

public int getLineNum()

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<org.biojava.nbio.genome.io.fastq.Fastq>`

### iterator

public Iterator<org.biojava.nbio.genome.io.fastq.Fastq> iterator()

Specified by:
  `iterator` in interface `Iterable<org.biojava.nbio.genome.io.fastq.Fastq>`

### next

public org.biojava.nbio.genome.io.fastq.Fastq next()

Specified by:
  `next` in interface `Iterator<org.biojava.nbio.genome.io.fastq.Fastq>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<org.biojava.nbio.genome.io.fastq.Fastq>`